<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal__results__pwm" kind="group">
    <compoundname>group_hal_results_pwm</compoundname>
    <title>PWM HAL Results</title>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__results__pwm_1gab7b16a3c46d4332fa511661dedc8d873" kind="define" prot="public" static="no">
        <name>CYHAL_PWM_RSLT_BAD_ARGUMENT</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005ac0436b7ec40cb5d645207a8bb23c0e0d">CYHAL_RSLT_MODULE_PWM</ref>, 0))</initializer>
        <briefdescription>
<para>Bad argument. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_pwm.h" bodystart="102" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_pwm.h" line="102" />
      </memberdef>
      <memberdef id="group__group__hal__results__pwm_1ga431ab66d01f4897a131ac3569c776fd0" kind="define" prot="public" static="no">
        <name>CYHAL_PWM_RSLT_FAILED_CLOCK_INIT</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005ac0436b7ec40cb5d645207a8bb23c0e0d">CYHAL_RSLT_MODULE_PWM</ref>, 1))</initializer>
        <briefdescription>
<para>Failed to initialize PWM clock. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_pwm.h" bodystart="105" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_pwm.h" line="105" />
      </memberdef>
      <memberdef id="group__group__hal__results__pwm_1ga144e685f38819c58fa7e90ca850fe264" kind="define" prot="public" static="no">
        <name>CYHAL_PWM_RSLT_FAILED_INIT</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005ac0436b7ec40cb5d645207a8bb23c0e0d">CYHAL_RSLT_MODULE_PWM</ref>, 2))</initializer>
        <briefdescription>
<para>Failed to initialize PWM. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_pwm.h" bodystart="108" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_pwm.h" line="108" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>PWM specific return codes. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>